System requirements

Verify that the target computer meets the installation requirements listed in the following table. These requirements apply to all BMC PATROL Agent.

Note

To get complete compatibility information for BMC PATROL Agent, use the BMC Solution and Product Availability and Compatibility Utility on the Product Availability and Compatibility page.

Support for third-party products

To receive full support for a BMC product, you must have such product installed in a supported environment, as specified in the BMC product documentation. If a third-party vendor cancels support for one of its products (such as an operating system or subsystem), and that third-party product integrates or interacts with the BMC product you have licensed, you must upgrade to a supported version of that third-party product before BMC Customer Support can provide you with support for the affected BMC product. For further information, view BMC's product support policy.


Supported Operating SystemsComments (if any)

All components work with the following Windows operating systems:

  • Microsoft Windows 7, x86-64
  • Microsoft Windows 8, x86-64
  • Microsoft Windows 8.1, x86-64
  • Microsoft Windows 10, x86-64
  • Microsoft Windows Server 2012, x86-64
  • Microsoft Windows Server 2012 R2, x86-64
  • Microsoft Windows Server 2012 R2 Core, x86-64
  • Microsoft Windows Server 2016, x86-64
  • Remote monitoring is available on all the supported operating systems.

  • References to x86-64 include AMD64 and Intel 64 architecture.

  • References to the operating systems mentioned include all editions of these platform families.

  • If you are using Microsoft Windows Server 2012 R2 Core, x86-64, then install PATROL Agent 10.7 using the Common Installer version 10.7.00.

  • If you are using Microsoft Windows Server 2016 R2 Core, x86-64,
    • Installing the PATROL Agent manually using setup.exe utility (done by extracting the installation utility) is not supported.
    • You can install the PATROL Agent 10.7 using the Common Installer version 10.7.00 on this platform using the TrueSight console. For more information, see Installing in a TrueSight Operations Management environment.

HP-UX 11i 3 (B11.31), 64-bit, Itanium 2

  • HP-UX PA-RISC operating system is not supported.
  • IBM AIX 6.1, 64-bit hardware, 64-bit kernel, 64-bit AB
  • IBM® AIX® 7.1, 64-bit hardware, 64-bit kernel, 64-bit ABI
  • IBM® AIX® 7.2, 64-bit hardware, 64-bit kernel, 64-bit ABI
  • IBM POWER4®, POWER5®, POWER6®, POWER7®, and POWER8® are supported systems.
  • Oracle Solaris 10 U11.x
  • Oracle Solaris 10, x86-64, 64-bit, SPARC
  • Oracle Solaris 11, x86-64, 64-bit, SPARC
  • The current release of the product supports Solaris 10 through update 11.
  • Oracle Solaris is supported till version 11.3.
  • Red Hat Enterprise Linux 7.x, x86-64, 64-bit, PPC64LE, IBM® zSeries®
  • Red Hat Enterprise Linux 6.x, x86-64, IBM® zSeries®, 64-bit
  • Red Hat Enterprise Linux 5.x, x86-64, Itanium, IBM® zSeries®, 64-bit
  • The zSeries system is not supported in Simplified Chinese, Traditional Chinese, Korean, Japanese, French, and German languages.
  • x86-64 refers to Opteron (AMD 64) and Intel EM64T systems that support 64-bit libraries and executable.
  • Red Hat Enterprise Linux 5.x is supported up to version 5.11. Red Hat Enterprise Linux 5.11 is not supported on Itanium platforms.
  • Red Hat Enterprise Linux 6.x is supported up to version 6.9.
  • Red Hat Enterprise Linux 7.x is supported up to version 7.4.
  • SUSE Linux Enterprise Server 12, x86-64, Intel Itanium, IBM® zSeries®, PPC64LE
  • SUSE Linux Enterprise Server 11, x86-64, Intel Itanium, IBM® zSeries®
  • This operating system is not supported in CTJKFG.
  • x86-64 refers to Opteron (AMD 64) and Intel EM64T systems that support 64-bit libraries and executable.
  • SUSE Linux Enterprise Server 11 is supported up to Service Pack 4.
  • SUSE Linux Enterprise Server 12 (IBM POWER 8 little endian) - Supported Kernel version 4.x
  • SUSE Linux Enterprise Server 12 (IBM POWER 8 little endian) is supported up to Service Pack 3
  • SUSE Linux Enterprise Server 12 (x86-64) is supported up to Service Pack 3
  • SUSE Linux Enterprise Server 12 (IBM® zSeries®) is supported up to Service Pack 3
  • Oracle Enterprise Linux 7.x, x86-64
  • Oracle Enterprise Linux 6.x, x86-64
  • Oracle Enterprise Linux 5.x x86-64

  • x86-64 refers to Opteron (AMD 64) and Intel EM64T systems that support 64-bit libraries and executable.
  • Oracle Enterprise Linux 5.x is supported up to version 5.11
  • Oracle Enterprise Linux 6.x is supported up to version 6.9
  • Oracle Enterprise Linux 7.x is supported up to version 7.4
  • Oracle Enterprise Linux 6.6 x86-64 is also supported on Unbreakable Enterprise Kernel version 3.x
  • Oracle Enterprise Linux 6.8 x86-64 is also supported on Unbreakable Enterprise Kernel version 4.x
  • CentOS 7.x (x86-64)
  • CentOS 6.x (x86-64)
  • CentOS 5.x (x86-64)
  • CentOS 7.x is supported up to version 7.4
  • CentOS 6.x is supported up to version 6.9
  • CentOS 5.x is supported up to version 5.11
  • Debian 6.0.7 (squeeze) 64-bit
  • Debian 7.6.0 (wheezy) 64-bit
  • Debian 7.7.0 (wheezy) 64-bit
  • Debian 7.9.00 (wheezy) 64-bit
  • Debian 8.2.00 (jessie) 64-bit
  • Debian 8.3.00 (jessie) 64-bit
  • Debian 8.4.00 (jessie) 64-bit
  • Debian 8.5.00 (jessie) 64-bit
  • Debian 8.6.00 (jessie) 64-bit
  • Debian 8.8.00 (jessie) 64-bit
  • Debian 8.9.00 (jessie) 64-bit
  • Debian 9.1.00 (stretch) 64-bit
  • Monitoring of Debian operating system is supported only by the BMC PATROL Script Language (PSL) data collection method. 
  • Therefore, BMC recommends that while installing BMC PATROL solution for UNIX and Linux on Debian, do not install BMC PATROL Perform Data Collector.
  • Clear the Perform Data Collector checkbox in the Product Selection list on the Select Products and Components to Install page. 
  • If you install BMC PATROL Perform Data Collector, you must manually switch to the PSL method. 
  • To switch to the PSL method, in the PATROL console, right-click UNIX_OS and select Knowledge Module Admin > Toggle PSL/DCM Collection.
  • Ubuntu 14.4 LTS (64-bit)
  • Ubuntu 15.04 (64-bit)
  • Ubuntu 15.10 (64-bit)
  • Ubuntu 16.04 (64-bit)

Note

  • On 64-bit Linux platform, the following message is displayed after the installation process is complete. Ignore this message.

    ignored: cfg_sec_prms: error while loading shared libraries: libaudit.so.0: cannot open shared object file: No such file or directory

  • While installing the PATROL Agent 10.7.00 on Debian 8.8 x64 operating system, a set of errors are displayed at the command prompt. These errors do not affect the PATROL Agent installation. You can ignore and proceed with the installation. For more information about the errors, see Debian 8.8 exceptions


  • BMC products are certified for use on supported operating system versions. BMC does not explicitly test for OS patches/updates that are released after a BMC product is released. BMC products should work fine with minor updates to these supported operating systems. For assistance, please contact BMC Customer Support.

Related topics

Discontinued support

Was this page helpful? Yes No Submitting... Thank you

Comments